window.Gleam.initSearch([{"doc":"process_waiter","title":"process_waiter","content":"# process_waiter\n\n[![Package Version](https://img.shields.io/hexpm/v/process_waiter)](https://hex.pm/packages/process_waiter)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/process_waiter/)\n\n```sh\ngleam add process_waiter\n```\n```gleam\nimport gleam/erlang/process\nimport process_waiter\n\npub fn main() {\n  // Start some processes\n  let pid1 = process.spawn(fn() { process.sleep(500) })\n  let pid2 = process.spawn(fn() { process.sleep(500) })\n  let pid3 = process.spawn(fn() { process.sleep(500) })\n\n  // Wait for them to exit\n  process_waiter.wait([pid1, pid2, pid3])\n\n  // The processes have now finished\n  process.is_alive(pid1) // -&gt; False\n}\n```\n\nDocumentation can be found at &lt;https://hexdocs.pm/process_waiter&gt;.\n","url":"index.html"},{"doc":"process_waiter","title":"await_forever","content":"pub fn await_forever(pids: List(Pid)) -&gt; Nil\n Wait for a list of processes to exit.\n\nSynonyms:\nprocess_waiter.await_forever\nprocess_waiter await_forever","url":"process_waiter.html#await_forever"},{"doc":"process_waiter","title":"process_waiter","content":"","url":"process_waiter.html"}]);